Create an account token

Creates a single-use token that wraps a user’s legal entity information. Use this when creating or updating a Connect account. Learn more about account tokens.

In live mode, you can only create account tokens with your application’s publishable key. In test mode, you can only create account tokens with your secret key or publishable key.

Parameters

  • accountobjectRequired

    Information for the account this token represents.

Returns

Returns the created account token if it’s successful. Otherwise, this call raises an error.

POST /v1/tokens
curl https://api.stripe.com/v1/tokens \
-u "sk_test_BQokikJ...2HlWgH4olfQ2sk_test_BQokikJOvBiI2HlWgH4olfQ2:" \
-d "account[business_type]"=individual \
-d "account[individual][first_name]"=Jane \
-d "account[individual][last_name]"=Doe \
-d "account[tos_shown_and_accepted]"=true
Response
{
"id": "ct_1BZ6xr2eZvKYlo2CsSOhuTfi",
"object": "token",
"client_ip": "104.198.25.169",
"created": 1513297331,
"livemode": false,
"redaction": null,
"type": "account",
"used": false
}

Retrieve a token

Retrieves the token with the given ID.

Parameters

No parameters.

Returns

Returns a token if you provide a valid ID. Raises an error otherwise.

GET /v1/tokens/:id
curl https://api.stripe.com/v1/tokens/tok_1N3T00LkdIwHu7ixt44h1F8k \
-u "sk_test_BQokikJ...2HlWgH4olfQ2sk_test_BQokikJOvBiI2HlWgH4olfQ2:"
Response
{
"id": "tok_1N3T00LkdIwHu7ixt44h1F8k",
"object": "token",
"card": {
"id": "card_1N3T00LkdIwHu7ixRdxpVI1Q",
"object": "card",
"address_city": null,
"address_country": null,
"address_line1": null,
"address_line1_check": null,
"address_line2": null,
"address_state": null,
"address_zip": null,
"address_zip_check": null,
"brand": "Visa",
"country": "US",
"cvc_check": "unchecked",
"dynamic_last4": null,
"exp_month": 5,
"exp_year": 2026,
"fingerprint": "mToisGZ01V71BCos",
"funding": "credit",
"last4": "4242",
"metadata": {},
"name": null,
"tokenization_method": null,
"wallet": null
},
"client_ip": "52.35.78.6",
"created": 1683071568,
"livemode": false,
"type": "card",
"used": false
}